package com.tidefactions.chat.EventHandlers;

import com.tidefactions.chat.Types.ChatMode;
import com.tidefactions.chat.Utils.ChatUtils;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.player.AsyncPlayerChatEvent;

public class ChatHandler implements Listener {

    @EventHandler(priority = EventPriority.HIGH)
    public void onAsyncChatEvent(AsyncPlayerChatEvent event) {
        Player player = event.getPlayer();
        ChatUtils.sendMessageInChannel(
                player,
                ChatUtils.getChatMode(player),
                event.getMessage(),
                "Chat");
        event.setCancelled(true);
    }
}
