package com.tidefactions.chat.Events;


import com.tidefactions.chat.Types.ChatMode;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class MessageSendInChannelEvent extends Event {

    private static HandlerList handlerList = new HandlerList();

    private String player;
    private ChatMode chatMode;
    private String message;
    private String source;

    public MessageSendInChannelEvent(String player, ChatMode chatMode, String message, String source) {
        this.player = player;
        this.chatMode = chatMode;
        this.message = message;
        this.source = source;
    }

    public String getPlayer() {
        return player;
    }

    public ChatMode getChatMode() {
        return chatMode;
    }

    public String getMessage() {
        return message;
    }

    public String getSource() {
        return source;
    }

    @Override
    public HandlerList getHandlers() {
        return handlerList;
    }
}
