package com.tidefactions.chat.Types;

import com.tidefactions.chat.Config;
import org.bukkit.ChatColor;

public enum ChatMode {
    PUBLIC("chat.public", "", Config.GLOBAL_CHAT_FORMAT),
    STAFF("chat.staff", ChatColor.DARK_GRAY + "[" + ChatColor.AQUA + "STAFF" + ChatColor.DARK_GRAY + "] " + ChatColor.RESET, Config.STAFF_CHAT_FORMAT),
    ADMIN("chat.admin", ChatColor.DARK_GRAY + "[" + ChatColor.RED + "ADMIN" + ChatColor.DARK_GRAY + "] " + ChatColor.RESET, Config.ADMIN_CHAT_FORMAT),
    BUILDER("chat.builder", ChatColor.DARK_GRAY + "[" + ChatColor.YELLOW + "BUILDER" + ChatColor.DARK_GRAY + "] " + ChatColor.RESET, Config.BUILDER_CHAT_FORMAT);

    private String permission;
    private String prefix;
    private String format;

    ChatMode(String permission, String prefix, String format) {
        this.permission = permission;
        this.prefix = prefix;
        this.format = format;
    }

    public String getPermission() {
        return permission;
    }

    public String getPrefix() {
        return prefix;
    }

    public String getFormat() {
        return format;
    }
}
