package com.tidefactions.chat.EventHandlers;

import com.tidefactions.chat.GUI.PrefixGui;
import com.tidefactions.chat.Types.Prefix;
import com.tidefactions.chat.Utils.PrefixUtils;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.event.inventory.InventoryCloseEvent;

import java.util.List;

public class InventoryHandler implements Listener{

    @EventHandler
    public void onClickEvent(InventoryClickEvent event) {
        if (PrefixGui.views.contains(event.getView())) {
            Player player = (Player) event.getWhoClicked();
            if (event.getCurrentItem() != null) {
                if (event.getCurrentItem().getType() != Material.AIR) {
                    List<String> lore = event.getCurrentItem().getItemMeta().getLore();
                    Prefix prefix = PrefixUtils.getPrefixByID(lore.get(lore.size() - 1));
                    if (prefix != null) {
                        if (player.hasPermission(prefix.getPermission())) {
                            PrefixUtils.setPrefixForPlayer(player, prefix);
                            PrefixGui.views.remove(event.getView());
                            player.closeInventory();
                        }
                    }
                }
            }
        }
    }

    @EventHandler
    public void onCloseEvent(InventoryCloseEvent event) {
        if (PrefixGui.views.contains(event.getView())) {
            PrefixGui.views.remove(event.getView());
        }
    }
}
