package com.tidefactions.chat.GUI;

import com.tidefactions.chat.Types.Prefix;
import com.tidefactions.chat.Utils.PrefixUtils;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.InventoryView;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;

import java.util.ArrayList;
import java.util.List;

public class PrefixGui {

    public static List<InventoryView> views = new ArrayList<>();

    public void open(Player player) {
        int size = (int) (Math.ceil(PrefixUtils.getPrefixes().size() / 9) * 9);
        if (size < 9)
            size = 9;
        Inventory inv = Bukkit.createInventory(null, size, ChatColor.GREEN + "Prefix " + ChatColor.DARK_GRAY + " selection");
        String currentPrefixID = null;
        if (PrefixUtils.getPrefixForPlayer(player) != null) {
            currentPrefixID = PrefixUtils.getPrefixForPlayer(player).getName();
        }
        for (Prefix prefix : PrefixUtils.getPrefixes()) {
            if (player.hasPermission(prefix.getPermission())) {
                ItemStack is = new ItemStack(
                        prefix.getItem(),
                        1,
                        prefix.getItemMeta());
                ItemMeta im = is.getItemMeta();
                List<String> lore = new ArrayList<>();
                if (currentPrefixID.equals(prefix.getName()))
                    lore.add(ChatColor.GREEN + "Active");

                lore.addAll(prefix.getDescription());
                lore.add(ChatColor.BLACK + prefix.getName());
                im.setLore(lore);
                im.setDisplayName(prefix.getPrefix());
                is.setItemMeta(im);
                inv.addItem(is);
            }
        }

        views.add(player.openInventory(inv));
    }
}
