package com.tidefactions.chat.Types;

import org.bukkit.ChatColor;
import org.bukkit.Material;

import java.util.List;

public class Prefix {
    private String name;
    private String permission;
    private String prefix;
    private Material item;
    private Short itemMeta;
    private List<String> description;
    private ChatColor chatColor;

    public Prefix(String name, String permission, String prefix, Material item, Integer itemMeta, List<String> description, ChatColor chatColor) {
        this.name = name;
        this.permission = permission;
        this.prefix = prefix;
        this.item = item;
        this.itemMeta = itemMeta.shortValue();
        this.description = description;
        this.chatColor = chatColor;
    }

    public String getName() {
        return name;
    }

    public String getPermission() {
        return permission;
    }

    public String getPrefix() {
        return prefix;
    }

    public Material getItem() {
        return item;
    }

    public Short getItemMeta() {
        return itemMeta;
    }

    public List<String> getDescription() {
        return description;
    }

    public ChatColor getChatColor() {
        return chatColor;
    }
}
